Manuel PHP
Précédent |  | Suivant

# apache_lookup_uri

(3.0.4 - 3.0.18 only, PHP 4 >= 4.0.0)

apache_lookup_uri -- Effectue une requête partielle pour l'URI spécifiée et renvoie toutes les informations.

## Description

``object apache_lookup_uri` (string filename)`

apache_lookup_uri() effectue une requête partielle pour l'URI spécifiée. Cette requête permet de récupérer toutes les informations importantes à propos de la ressource concernée. Les propriétés de la classe renvoyée sont les suivantes :

status
the_request
status_line
method
content_type
handler
uri
filename
path_info
args
boundary
no_cache
no_local_copy
allowed
send_bodyct
bytes_sent
byterange
clength
unparsed_uri
mtime
request_time

> Note : apache_lookup_uri() ne fonctionne que lorsque le PHP est installé sous la forme d'un module Apache.

Précédent | Sommaire | Suivant
ebcdic2ascii | Niveau supérieur | apache_note